Skip to main content
GET
/
api
/
v1
/
phone-numbers
/
{uuid}
/
channels
Channels for one phone number
curl --request GET \
  --url https://{subdomain}.mindhunters.ai/api/v1/phone-numbers/{uuid}/channels \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "phone_number_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "number": "<string>",
    "is_external": true,
    "channels": {
      "call": {
        "capable": true,
        "enabled": true,
        "channel_limit": 123,
        "whitelisted_destinations": [
          "<string>"
        ],
        "bound": true,
        "agent_uuid": "<string>",
        "agent_name": "<string>"
      },
      "sms": {
        "capable": true,
        "enabled": true,
        "channel_limit": 123,
        "whitelisted_destinations": [
          "<string>"
        ],
        "bound": true,
        "agent_uuid": "<string>",
        "agent_name": "<string>"
      },
      "whatsapp": {
        "bound": true,
        "agent_uuid": "<string>",
        "agent_name": "<string>"
      },
      "inbound": {
        "enabled": true,
        "channel_limit": 123
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required

Response

Success

success
boolean
data
object